ChatbotProfile
Returns a list of all ChatbotProfiles
GET/api/chat/chatbot_profile
Query parameters
idstring | , SCOPE_LIST |
namestring | , SCOPE_LIST |
modestring | admin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums). | , SCOPE_LIST |
activestring | , SCOPE_LIST |
deletedboolean | This property is used to mark an entity as deleted / archived | , SCOPE_LIST | Multiple default values: false, false, |
replyModestring | always | mention | question - siehe REPLY_MODE_* Konstanten. | , SCOPE_LIST |
createdstring | , SCOPE_LIST |
updatedstring | , SCOPE_LIST |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of all ChatbotProfilesarray<ChatbotProfile>
Show fields (18)
idintegerPrimary key of the chatbot profile. Internal ID.
tokenstringToken that identifies the chatbot profile.
preferred_color_hexstringPreferred color of the chatbot as hex value.
modestringadmin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).
system_promptstringSystem-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).
modelstringModell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.
max_tokensintegerMaximum number of tokens per answer.
max_tool_iterationsintegerObergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.
max_context_messagesintegerWie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.
reply_modestringalways | mention | question - siehe REPLY_MODE_* Konstanten.
requires_opt_inbooleanMuss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.
disclaimer_textstringWird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.
activebooleanWhether the chatbot profile is active.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
curl --request GET \
--url https://your-instance.iw-erp.de/api/chat/chatbot_profile \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/chat/chatbot_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/chat/chatbot_profile"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/chat/chatbot_profile', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/chat/chatbot_profile"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/chat/chatbot_profile")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/chat/chatbot_profile"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/chatbot_profile_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ChatbotProfileController.getAll();
if (result.success) {
print(result.data);
}[
{
"id": 42,
"disclaimer_text": "Text",
"name": "Beispiel",
"image_url": "https://vynst.de",
"token": "string",
"preferred_color_hex": "string",
"mode": "string",
"system_prompt": "string",
"model": "string",
"max_tokens": 1
}
]Add a new ChatbotProfile
POST/api/chat/chatbot_profile
Request body application/json
dataChatbotProfileShow fields (18)
idintegerPrimary key of the chatbot profile. Internal ID.
tokenstringToken that identifies the chatbot profile.
preferred_color_hexstringPreferred color of the chatbot as hex value.
modestringadmin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).
system_promptstringSystem-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).
modelstringModell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.
max_tokensintegerMaximum number of tokens per answer.
max_tool_iterationsintegerObergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.
max_context_messagesintegerWie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.
reply_modestringalways | mention | question - siehe REPLY_MODE_* Konstanten.
requires_opt_inbooleanMuss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.
disclaimer_textstringWird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.
activebooleanWhether the chatbot profile is active.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
Responses
200Add a new ChatbotProfileChatbotProfile
Show fields (18)
idintegerPrimary key of the chatbot profile. Internal ID.
tokenstringToken that identifies the chatbot profile.
preferred_color_hexstringPreferred color of the chatbot as hex value.
modestringadmin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).
system_promptstringSystem-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).
modelstringModell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.
max_tokensintegerMaximum number of tokens per answer.
max_tool_iterationsintegerObergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.
max_context_messagesintegerWie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.
reply_modestringalways | mention | question - siehe REPLY_MODE_* Konstanten.
requires_opt_inbooleanMuss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.
disclaimer_textstringWird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.
activebooleanWhether the chatbot profile is active.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
curl --request POST \
--url https://your-instance.iw-erp.de/api/chat/chatbot_profile \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"disclaimer_text": "Text",
"name": "Beispiel",
"image_url": "https://vynst.de",
"token": "string",
"preferred_color_hex": "string"
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
disclaimer_text: 'Text',
name: 'Beispiel',
image_url: 'https://vynst.de',
token: 'string',
preferred_color_hex: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/chat/chatbot_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/chat/chatbot_profile"
payload = { "data": {
"id": 42,
"disclaimer_text": "Text",
"name": "Beispiel",
"image_url": "https://vynst.de",
"token": "string",
"preferred_color_hex": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/chat/chatbot_profile', [
'body' => '{"data":{"id":42,"disclaimer_text":"Text","name":"Beispiel","image_url":"https://vynst.de","token":"string","preferred_color_hex":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/chat/chatbot_profile"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"disclaimer_text\":\"Text\",\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"token\":\"string\",\"preferred_color_hex\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"disclaimer_text\":\"Text\",\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"token\":\"string\",\"preferred_color_hex\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/chat/chatbot_profile")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/chat/chatbot_profile"
payload := strings.NewReader("{\"data\":{\"id\":42,\"disclaimer_text\":\"Text\",\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"token\":\"string\",\"preferred_color_hex\":\"string\"}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/chatbot_profile_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/chatbot_profile.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ChatbotProfileController.post(ChatbotProfile.fromJson({
"id": 42,
"disclaimer_text": "Text",
"name": "Beispiel",
"image_url": "https://vynst.de",
"token": "string",
"preferred_color_hex": "string"
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"disclaimer_text": "Text",
"name": "Beispiel",
"image_url": "https://vynst.de",
"token": "string",
"preferred_color_hex": "string",
"mode": "string",
"system_prompt": "string",
"model": "string",
"max_tokens": 1
}Die MCP-Tools, die ein Profil im angegebenen Modus auswaehlen kann - Titel und Beschreibung kommen aus dem eingebauten MCP-Server.
GET/api/chat/chatbot_profile_tools
Query parameters
moderequiredstring | admin, member or public |
Responses
200List of MCP tools a chatbot profile of the mode may usearray<object>
Show fields (6)
namestringtitlestringdescriptionstringpublicbooleanread_onlybooleanavailablebooleanswitched on in this installation; switched off tools may be selected and work once their setting is on
curl --request GET \
--url 'https://your-instance.iw-erp.de/api/chat/chatbot_profile_tools?mode=string' \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/chat/chatbot_profile_tools?mode=string', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/chat/chatbot_profile_tools?mode=string"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/chat/chatbot_profile_tools?mode=string', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/chat/chatbot_profile_tools?mode=string"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/chat/chatbot_profile_tools?mode=string")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/chat/chatbot_profile_tools?mode=string"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/chatbot_profile_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ChatbotProfileController.getTools('string');
if (result.success) {
print(result.data);
}[
{
"name": "Beispiel",
"title": "Beispiel",
"description": "Text",
"public": true,
"read_only": true,
"available": true
}
]Returns a single ChatbotProfile entry.
GET/api/chat/chatbot_profile/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Return single ChatbotProfileChatbotProfile
Show fields (18)
idintegerPrimary key of the chatbot profile. Internal ID.
tokenstringToken that identifies the chatbot profile.
preferred_color_hexstringPreferred color of the chatbot as hex value.
modestringadmin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).
system_promptstringSystem-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).
modelstringModell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.
max_tokensintegerMaximum number of tokens per answer.
max_tool_iterationsintegerObergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.
max_context_messagesintegerWie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.
reply_modestringalways | mention | question - siehe REPLY_MODE_* Konstanten.
requires_opt_inbooleanMuss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.
disclaimer_textstringWird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.
activebooleanWhether the chatbot profile is active.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
curl --request GET \
--url https://your-instance.iw-erp.de/api/chat/chatbot_profile/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/chat/chatbot_profile/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/chat/chatbot_profile/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/chat/chatbot_profile/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/chat/chatbot_profile/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/chat/chatbot_profile/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/chat/chatbot_profile/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/chatbot_profile_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ChatbotProfileController.get('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"disclaimer_text": "Text",
"name": "Beispiel",
"image_url": "https://vynst.de",
"token": "string",
"preferred_color_hex": "string",
"mode": "string",
"system_prompt": "string",
"model": "string",
"max_tokens": 1
}Updates an existing ChatbotProfile entry.
PUT/api/chat/chatbot_profile/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataChatbotProfileShow fields (18)
idintegerPrimary key of the chatbot profile. Internal ID.
tokenstringToken that identifies the chatbot profile.
preferred_color_hexstringPreferred color of the chatbot as hex value.
modestringadmin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).
system_promptstringSystem-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).
modelstringModell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.
max_tokensintegerMaximum number of tokens per answer.
max_tool_iterationsintegerObergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.
max_context_messagesintegerWie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.
reply_modestringalways | mention | question - siehe REPLY_MODE_* Konstanten.
requires_opt_inbooleanMuss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.
disclaimer_textstringWird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.
activebooleanWhether the chatbot profile is active.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
Responses
200Update single ChatbotProfileChatbotProfile
Show fields (18)
idintegerPrimary key of the chatbot profile. Internal ID.
tokenstringToken that identifies the chatbot profile.
preferred_color_hexstringPreferred color of the chatbot as hex value.
modestringadmin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).
system_promptstringSystem-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).
modelstringModell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.
max_tokensintegerMaximum number of tokens per answer.
max_tool_iterationsintegerObergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.
max_context_messagesintegerWie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.
reply_modestringalways | mention | question - siehe REPLY_MODE_* Konstanten.
requires_opt_inbooleanMuss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.
disclaimer_textstringWird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.
activebooleanWhether the chatbot profile is active.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/chat/chatbot_profile/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"disclaimer_text": "Text",
"name": "Beispiel",
"image_url": "https://vynst.de",
"token": "string",
"preferred_color_hex": "string"
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
disclaimer_text: 'Text',
name: 'Beispiel',
image_url: 'https://vynst.de',
token: 'string',
preferred_color_hex: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/chat/chatbot_profile/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/chat/chatbot_profile/42"
payload = { "data": {
"id": 42,
"disclaimer_text": "Text",
"name": "Beispiel",
"image_url": "https://vynst.de",
"token": "string",
"preferred_color_hex": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/chat/chatbot_profile/42', [
'body' => '{"data":{"id":42,"disclaimer_text":"Text","name":"Beispiel","image_url":"https://vynst.de","token":"string","preferred_color_hex":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/chat/chatbot_profile/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"disclaimer_text\":\"Text\",\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"token\":\"string\",\"preferred_color_hex\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"disclaimer_text\":\"Text\",\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"token\":\"string\",\"preferred_color_hex\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/chat/chatbot_profile/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/chat/chatbot_profile/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"disclaimer_text\":\"Text\",\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"token\":\"string\",\"preferred_color_hex\":\"string\"}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/chatbot_profile_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/chatbot_profile.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ChatbotProfileController.put(ChatbotProfile.fromJson({
"id": 42,
"disclaimer_text": "Text",
"name": "Beispiel",
"image_url": "https://vynst.de",
"token": "string",
"preferred_color_hex": "string"
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"disclaimer_text": "Text",
"name": "Beispiel",
"image_url": "https://vynst.de",
"token": "string",
"preferred_color_hex": "string",
"mode": "string",
"system_prompt": "string",
"model": "string",
"max_tokens": 1
}Updates an existing ChatbotProfile entry.
PATCH/api/chat/chatbot_profile/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataChatbotProfileShow fields (18)
idintegerPrimary key of the chatbot profile. Internal ID.
tokenstringToken that identifies the chatbot profile.
preferred_color_hexstringPreferred color of the chatbot as hex value.
modestringadmin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).
system_promptstringSystem-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).
modelstringModell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.
max_tokensintegerMaximum number of tokens per answer.
max_tool_iterationsintegerObergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.
max_context_messagesintegerWie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.
reply_modestringalways | mention | question - siehe REPLY_MODE_* Konstanten.
requires_opt_inbooleanMuss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.
disclaimer_textstringWird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.
activebooleanWhether the chatbot profile is active.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
Responses
200Update single ChatbotProfileChatbotProfile
Show fields (18)
idintegerPrimary key of the chatbot profile. Internal ID.
tokenstringToken that identifies the chatbot profile.
preferred_color_hexstringPreferred color of the chatbot as hex value.
modestringadmin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).
system_promptstringSystem-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).
modelstringModell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.
max_tokensintegerMaximum number of tokens per answer.
max_tool_iterationsintegerObergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.
max_context_messagesintegerWie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.
reply_modestringalways | mention | question - siehe REPLY_MODE_* Konstanten.
requires_opt_inbooleanMuss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.
disclaimer_textstringWird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.
activebooleanWhether the chatbot profile is active.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/chat/chatbot_profile/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"disclaimer_text": "Text",
"name": "Beispiel",
"image_url": "https://vynst.de",
"token": "string",
"preferred_color_hex": "string"
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
disclaimer_text: 'Text',
name: 'Beispiel',
image_url: 'https://vynst.de',
token: 'string',
preferred_color_hex: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/chat/chatbot_profile/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/chat/chatbot_profile/42"
payload = { "data": {
"id": 42,
"disclaimer_text": "Text",
"name": "Beispiel",
"image_url": "https://vynst.de",
"token": "string",
"preferred_color_hex": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/chat/chatbot_profile/42', [
'body' => '{"data":{"id":42,"disclaimer_text":"Text","name":"Beispiel","image_url":"https://vynst.de","token":"string","preferred_color_hex":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/chat/chatbot_profile/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"disclaimer_text\":\"Text\",\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"token\":\"string\",\"preferred_color_hex\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"disclaimer_text\":\"Text\",\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"token\":\"string\",\"preferred_color_hex\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/chat/chatbot_profile/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/chat/chatbot_profile/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"disclaimer_text\":\"Text\",\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"token\":\"string\",\"preferred_color_hex\":\"string\"}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/chat/chatbot_profile/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"id": 42,
"disclaimer_text": "Text",
"name": "Beispiel",
"image_url": "https://vynst.de",
"token": "string",
"preferred_color_hex": "string"
}
}),
);
print(response.body);{
"id": 42,
"disclaimer_text": "Text",
"name": "Beispiel",
"image_url": "https://vynst.de",
"token": "string",
"preferred_color_hex": "string",
"mode": "string",
"system_prompt": "string",
"model": "string",
"max_tokens": 1
}Delete a single ChatbotProfile
DELETE/api/chat/chatbot_profile/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Return single ChatbotProfileChatbotProfile
Show fields (18)
idintegerPrimary key of the chatbot profile. Internal ID.
tokenstringToken that identifies the chatbot profile.
preferred_color_hexstringPreferred color of the chatbot as hex value.
modestringadmin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).
system_promptstringSystem-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).
modelstringModell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.
max_tokensintegerMaximum number of tokens per answer.
max_tool_iterationsintegerObergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.
max_context_messagesintegerWie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.
reply_modestringalways | mention | question - siehe REPLY_MODE_* Konstanten.
requires_opt_inbooleanMuss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.
disclaimer_textstringWird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.
activebooleanWhether the chatbot profile is active.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
curl --request DELETE \
--url https://your-instance.iw-erp.de/api/chat/chatbot_profile/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'DELETE', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/chat/chatbot_profile/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/chat/chatbot_profile/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://your-instance.iw-erp.de/api/chat/chatbot_profile/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Delete,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/chat/chatbot_profile/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/chat/chatbot_profile/42")
.delete(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/chat/chatbot_profile/42"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/chatbot_profile_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ChatbotProfileController.delete('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"disclaimer_text": "Text",
"name": "Beispiel",
"image_url": "https://vynst.de",
"token": "string",
"preferred_color_hex": "string",
"mode": "string",
"system_prompt": "string",
"model": "string",
"max_tokens": 1
}